Create an escalation item
POST
/v1/escalationitem/
const url = 'https://example.com/v1/escalationitem/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"on_call_schedule":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","start_after":"00:00:00","schedule_items":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/escalationitem/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "on_call_schedule": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "start_after": "00:00:00", "schedule_items": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Create a new escalation item.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
created_at
required
string format: date-time
created_by
required
string format: uuid
id
required
string format: uuid
on_call_schedule
required
string format: uuid
start_after
string
schedule_items
Array<string>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
created_at
required
string format: date-time
created_by
required
string format: uuid
id
required
string format: uuid
on_call_schedule
required
string format: uuid
start_after
string
schedule_items
Array<string>
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
created_at
required
string format: date-time
created_by
required
string format: uuid
id
required
string format: uuid
on_call_schedule
required
string format: uuid
start_after
string
schedule_items
Array<string>
Example
{ "start_after": "00:00:00"}